org.apache.cassandra.db

## Enum PartitionPosition.Kind

- java.lang.Object
- - java.lang.Enum<PartitionPosition.Kind>
  - - org.apache.cassandra.db.PartitionPosition.Kind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PartitionPosition.Kind>

Enclosing interface:
  PartitionPosition

    public static enum PartitionPosition.Kind
    extends java.lang.Enum<PartitionPosition.Kind>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MAX_BOUND`
`MIN_BOUND`
`ROW_KEY`

### Method Summary

All Methods Static Methods Concrete Methods
`static PartitionPosition.Kind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PartitionPosition.Kind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ROW_KEY

    public static final PartitionPosition.Kind ROW_KEY

#### MIN_BOUND

    public static final PartitionPosition.Kind MIN_BOUND

#### MAX_BOUND

    public static final PartitionPosition.Kind MAX_BOUND

### Method Detail

#### values

    public static PartitionPosition.Kind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PartitionPosition.Kind c : PartitionPosition.Kind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PartitionPosition.Kind valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null